#
# Generated by the NeXT Project Builder.
#
# NOTE: Do NOT change this file -- Project Builder maintains it.
#
# Put all of your customizations in files called Makefile.preamble
# and Makefile.postamble (both optional), and Makefile will include them.
#

NAME = Pipelines

PROJECTVERSION = 2.8
PROJECT_TYPE = Component

CLASSES = OWContentCache.m OWContentInfo.m OWContentType.m\
          OWContentTypeLink.m OWConversionPathElement.m\
          OWHeaderDictionary.m OWPipeline.m OWPipelineCoordinator.m\
          OWTask.m OWWebPipeline.m OWZoneContent.m

HFILES = OWContentCache.h OWContentInfo.h OWContentType.h\
         OWContentTypeLink.h OWConversionPathElement.h\
         OWHeaderDictionary.h OWPipeline.h\
         OWPipelineActiveTreeMonitorProtocol.h OWPipelineCoordinator.h\
         OWPipelineInspectorProtocol.h OWTargetProtocol.h OWTask.h\
         OWWebPipeline.h OWZoneContent.h

OTHERSRCS = Makefile.preamble Makefile Makefile.postamble


MAKEFILEDIR = $(NEXT_ROOT)/NextDeveloper/Makefiles/pb_makefiles
CODE_GEN_STYLE = DYNAMIC
MAKEFILE = subproj.make
NEXTSTEP_INSTALLDIR = $(OMNIMAKE_$(OMNIMAKE_UPPER_PROJECT_TYPE)_DIR)
LIBS = 
DEBUG_LIBS = $(LIBS)
PROF_LIBS = $(LIBS)


PUBLIC_HEADERS = OWContentCache.h OWContentInfo.h OWContentType.h\
                 OWHeaderDictionary.h OWPipeline.h\
                 OWPipelineActiveTreeMonitorProtocol.h\
                 OWPipelineInspectorProtocol.h OWTargetProtocol.h\
                 OWTask.h OWWebPipeline.h



NEXTSTEP_OBJCPLUS_COMPILER = /usr/bin/cc
WINDOWS_OBJCPLUS_COMPILER = $(DEVDIR)/gcc
PDO_UNIX_OBJCPLUS_COMPILER = $(NEXTDEV_BIN)/gcc
NEXTSTEP_JAVA_COMPILER = /usr/bin/javac
WINDOWS_JAVA_COMPILER = $(JDKBINDIR)/javac.exe
PDO_UNIX_JAVA_COMPILER = $(NEXTDEV_BIN)/javac

include $(MAKEFILEDIR)/platform.make

-include Makefile.preamble

include $(MAKEFILEDIR)/$(MAKEFILE)

-include Makefile.postamble

-include Makefile.dependencies
